Bug 730657 - Review Request: perl-DateTime-TimeZone - Time zone object base class and factory
Summary: Review Request: perl-DateTime-TimeZone - Time zone object base class and factory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 730658
TreeView+ depends on / blocked
 
Reported: 2011-08-15 09:32 UTC by Iain Arnell
Modified: 2011-08-18 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 16:35:34 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-08-15 09:32:43 UTC
Spec URL: http://iarnell.home.xs4all.nl/review/perl-DateTime-TimeZone.spec
SRPM URL: http://iarnell.home.xs4all.nl/review/perl-DateTime-TimeZone-1.35-1.fc17.src.rpm
Description:
This class is the base class for all time zone objects. A time zone is
represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Comment 1 Iain Arnell 2011-08-15 09:37:24 UTC
Note that DateTime::TimeZone is currently bundled in perl-DateTime. Bug 730658 deals with the unbundling.

Since there is a circular build dependency involving this package and (unbundled) perl-DateTime, this package uses perl_bootstrap macro to temporarily allow perl-DateTime-TimeZone to be built without depending on perl-DateTime.

Comment 2 Petr Šabata 2011-08-15 13:34:22 UTC
Package: perl-DateTime-TimeZone
Version: 1.35
Release: 1.fc17
Sources: DateTime-TimeZone-1.35.tar.gz
Patches: 
----------
Package successfully built in mock, fedora-rawhide-x86_64.
Package successfully built in mock, fedora-rawhide-i386.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[ FAIL ] Requires correct or justified otherwise
[ FAIL ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  OK  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[ NOTE ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[ NOTE ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
FAIL: Missing Requires: perl(File::Compare)
FAIL: Missing BuildRequires: perl(constant), perl(List::Util), perl(File::Spec), perl(File::Compare)

Those are separate CPAN packages.

NOTE: An intentional conflict with DateTime, ok.
NOTE: Final RPM dependencies miss perl(File::Compare), see above.

Not approving yet.

Comment 3 Iain Arnell 2011-08-15 15:56:20 UTC
Thanks. Updated with the additional dependencies.

Spec URL: http://iarnell.home.xs4all.nl/review/perl-DateTime-TimeZone.spec
SRPM URL: http://iarnell.home.xs4all.nl/review/perl-DateTime-TimeZone-1.35-2.fc17.src.rpm

And just for the record: to expand on comment #2, once unbundled perl-DateTime has been built, this needs to be updated to remove perl_bootstrap definition and rebuilt.

Comment 4 Petr Šabata 2011-08-16 14:39:34 UTC
Looks good now, approving :)

Comment 5 Iain Arnell 2011-08-18 12:37:30 UTC
New Package SCM Request
=======================
Package Name: perl-DateTime-TimeZone
Short Description: Time zone object base class and factory
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-08-18 12:57:42 UTC
Git done (by process-git-requests).

Comment 7 Iain Arnell 2011-08-18 16:10:05 UTC
Imported and built for rawhide.

Comment 8 Iain Arnell 2011-08-18 16:35:34 UTC
Closing this. Track progress in bug 730658.


Note You need to log in before you can comment on or make changes to this bug.